Closed Bug 1368908 Opened 2 years ago Closed 2 years ago

Intermittent devtools/client/debugger/test/mochitest/browser_dbg_break-on-dom-01.js | A promise chain failed to handle a rejection: [object Object] - rejection date: Tue May 30 2017 20:24:35 GMT-0700 (Pacific Standard Time) - stack: JS frame :: resource:/

Categories

(DevTools :: Debugger, defect)

defect
Not set

Tracking

(firefox56 fixed)

RESOLVED FIXED
Firefox 56
Tracking Status
firefox56 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: jmaher)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disabled])

Attachments

(1 file)

Duplicate of this bug: 1368934
this started on June 29th, failing on just about all configurations- linux64 is the most frequent failure.  These are e10s only failures.

Here is a recent linux64 (opt) failure:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=114416865&lineNumber=2308

and related data from the log file:
task 2017-07-14T17:08:12.232436Z] 17:08:12     INFO - Waiting for navigation...
[task 2017-07-14T17:08:12.233301Z] 17:08:12     INFO - TEST-PASS | devtools/client/debugger/test/mochitest/browser_dbg_break-on-dom-01.js | There should be no events while reloading. - 
[task 2017-07-14T17:08:12.234319Z] 17:08:12     INFO - Buffered messages logged at 17:08:11
[task 2017-07-14T17:08:12.235335Z] 17:08:12     INFO - TEST-PASS | devtools/client/debugger/test/mochitest/browser_dbg_break-on-dom-01.js | There should be no events after reloading. - 
[task 2017-07-14T17:08:12.236206Z] 17:08:12     INFO - Destroying the specified debugger.
[task 2017-07-14T17:08:12.237167Z] 17:08:12     INFO - Waiting for event: 'Debugger:Shutdown' on [object ChromeWindow].
[task 2017-07-14T17:08:12.238129Z] 17:08:12     INFO - Waiting for event: 'destroyed' on [object Object].
[task 2017-07-14T17:08:12.242211Z] 17:08:12     INFO - Got event: 'destroyed' on [object Object].
[task 2017-07-14T17:08:12.245185Z] 17:08:12     INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/NetUtil.jsm" line: 307}]
[task 2017-07-14T17:08:12.246251Z] 17:08:12     INFO - Got event: 'Debugger:Shutdown' on [object ChromeWindow].
[task 2017-07-14T17:08:12.247213Z] 17:08:12     INFO - Removing tab.
[task 2017-07-14T17:08:12.248162Z] 17:08:12     INFO - Tab removed and finished closing.
[task 2017-07-14T17:08:12.249460Z] 17:08:12     INFO - finish() was called, cleaning up...
[task 2017-07-14T17:08:12.250631Z] 17:08:12     INFO - Forcing GC/CC after debugger test.
[task 2017-07-14T17:08:12.251682Z] 17:08:12     INFO - Console message: [JavaScript Error: "A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
[task 2017-07-14T17:08:12.252554Z] 17:08:12     INFO - See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise
[task 2017-07-14T17:08:12.253419Z] 17:08:12     INFO - 
[task 2017-07-14T17:08:12.254368Z] 17:08:12     INFO - Date: Fri Jul 14 2017 17:08:11 GMT+0000 (UTC)
[task 2017-07-14T17:08:12.255162Z] 17:08:12     INFO - Full Message: [object Object]
[task 2017-07-14T17:08:12.256049Z] 17:08:12     INFO - Full Stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 199
[task 2017-07-14T17:08:12.256910Z] 17:08:12     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 711
[task 2017-07-14T17:08:12.257841Z] 17:08:12     INFO - JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/shared/redux/middleware/promise.js :: promiseMiddleware/</</</< :: line 47"]
[task 2017-07-14T17:08:12.258795Z] 17:08:12     INFO - Buffered messages finished
[task 2017-07-14T17:08:12.259920Z] 17:08:12     INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/test/mochitest/browser_dbg_break-on-dom-01.js | A promise chain failed to handle a rejection: [object Object] - stack: JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: register :: line 199
[task 2017-07-14T17:08:12.260802Z] 17:08:12     INFO - JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: completePromise :: line 711
[task 2017-07-14T17:08:12.261772Z] 17:08:12     INFO - JS frame :: resource://gre/modules/commonjs/toolkit/loader.js -> resource://devtools/client/shared/redux/middleware/promise.js :: promiseMiddleware/</</</< :: line 47Rejection date: Fri Jul 14 2017 17:08:11 GMT+0000 (UTC) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 265
[task 2017-07-14T17:08:12.262564Z] 17:08:12     INFO - Stack trace:
[task 2017-07-14T17:08:12.263442Z] 17:08:12     INFO -     resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:265
[task 2017-07-14T17:08:12.264244Z] 17:08:12     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:429
[task 2017-07-14T17:08:12.265070Z] 17:08:12     INFO -     testScope/test_finish/<@chrome://mochikit/content/browser-test.js:1059:11
[task 2017-07-14T17:08:12.265860Z] 17:08:12     INFO -     run@chrome://mochikit/content/browser-test.js:996:9
[task 2017-07-14T17:08:12.266851Z] 17:08:12     INFO - GECKO(1141) | MEMORY STAT | vsize 2311MB | residentFast 323MB | heapAllocated 114MB
[task 2017-
07-14T17:08:12.267857Z] 17:08:12     INFO - TEST-OK | devtools/client/debugger/test/mochitest/browser_dbg_break-on-dom-01.js | took 2217ms


:jlast, as the triage owner for devtools:debugger, can you find someone from the debugger team to look at this in the next 2 weeks?
Flags: needinfo?(jlaster)
Whiteboard: [stockwell needswork]
Hi :jmaher, this test is for the old debugger UI which will be off by default in 56. I think we can safely disable this test.
Flags: needinfo?(jlaster)
Assignee: nobody → jmaher
Status: NEW → ASSIGNED
Attachment #8886710 - Flags: review?(jlaster)
Attachment #8886710 - Flags: review?(jlaster) → review+
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d036fd0fef6b
Intermittent devtools/client/debugger/test/mochitest/browser_dbg_break-on-dom-01.js. disable test. r=jlast
https://hg.mozilla.org/mozilla-central/rev/d036fd0fef6b
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 56
Whiteboard: [stockwell needswork] → [stockwell disabled]
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.